<?php
namespace Claromentis\Projects\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_f73dab606630b388645" . "c4f7d3fbb13bb" => base64_decode("YXJy" . "YXlf" . "bWVy" . "Z2U="));
class ProjectPreDeleteEvent extends ProjectEvent
{
    const NAME = 'projects.project.delete.pre';
    private array $data;
    public function GetData() : array
    {
        return $this->data;
    }
    public function SetData(array $_a71dc9333bd8ad95d55d6624b477875f) : void
    {
        $this->data = $_a71dc9333bd8ad95d55d6624b477875f;
    }
    public function MergeData(array $_a71dc9333bd8ad95d55d6624b477875f) : void
    {
        $this->data = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_f73dab6066" . "30b388645c4" . "f7d3fbb13bb"]($this->data, $_a71dc9333bd8ad95d55d6624b477875f);
    }
}